## rubiks 20070912

=== Makefile ===
DIRS=dietz/cu2 dietz/mcube dietz/solver dik reid
#INSTALL=`which install` 
PREFIX=/usr
BINDIR=$(PREFIX)/bin

all clean:
	for dir in $(DIRS); do \
		(cd $${dir} && make $@)\
	done

distclean: clean
	for dir in $(DIRS); do \
		(cd $${dir} && make distclean)\
	done

install: all
	mkdir -p $(DESTDIR)$(BINDIR)
	$(INSTALL) reid/optimal $(DESTDIR)$(BINDIR)
	$(INSTALL) dietz/solver/cubex $(DESTDIR)$(BINDIR)
	$(INSTALL) dietz/mcube/mcube $(DESTDIR)$(BINDIR)
	$(INSTALL) dietz/cu2/cu2 $(DESTDIR)$(BINDIR)
	$(INSTALL) dik/dikcube $(DESTDIR)$(BINDIR)
	$(INSTALL) dik/size222 $(DESTDIR)$(BINDIR)

=== reid/Makefile ===
all: optimal twist

CFLAGS=-O2 -g

clean:
	rm -f *.o

distclean: clean
	rm -f optimal twist

=== dietz/cu2/Makefile ===
# makefile for cu2 with gcc on *nix by Eric

CC=gcc
CPP=g++
LINK=g++
CFLAGS=-O2
LFLAGS=
RM=rm -f
INCLUDES=cu2.h config.h
OBJS=cu2.o main.o
LIBS=
DBGCFLAGS=
DBGLFLAGS=
DBGOBJS=cu2.o.dbg main.o.dbg
DBGLIBS=

all: build

debug: build-debug

build: $(OBJS)
	$(LINK) $(LFLAGS)  -o cu2  $(OBJS) $(LIBS)

build-debug: $(DBGOBJS)
	$(LINK) $(DBGLFLAGS)  -o cu2  $(OBJS) $(DBGLIBS)

clean:
	$(RM) $(OBJS)

distclean: clean
	$(RM) cu2

main.o: main.cpp $(INCLUDES)
	$(CPP) $(CFLAGS) -c main.cpp

cu2.o: cu2.cpp $(INCLUDES)
	$(CPP) $(CFLAGS) -c cu2.cpp

main.o.dbg: main.cpp $(INCLUDES)
	$(CPP) $(DBGCFLAGS) -c main.cpp

cu2.o.dbg: cu2.cpp $(INCLUDES)
	$(CPP) $(DBGCFLAGS) -c cu2.cpp

dummy:

=== dietz/mcube/Makefile ===
# makefile for mcube with gcc on *nix by Eric

CC=gcc
CPP=g++
LINK=g++
CFLAGS=-O2
LFLAGS=
RM=rm -f
INCLUDES=mcube.h config.h
OBJS=mcube.o main.o
LIBS=
DBGCFLAGS=
DBGLFLAGS=
DBGOBJS=mcube.o.dbg main.o.dbg
DBGLIBS=

all: build

debug: build-debug

build: $(OBJS)
	$(LINK) $(LFLAGS)  -o mcube  $(OBJS) $(LIBS)

build-debug: $(DBGOBJS)
	$(LINK) $(DBGLFLAGS)  -o mcube  $(OBJS) $(DBGLIBS)

clean:
	$(RM) $(OBJS)

distclean: clean
	$(RM) mcube

main.o: main.cpp $(INCLUDES)
	$(CPP) $(CFLAGS) -c main.cpp

mcube.o: mcube.cpp $(INCLUDES)
	$(CPP) $(CFLAGS) -c mcube.cpp

main.o.dbg: main.cpp $(INCLUDES)
	$(CPP) $(DBGCFLAGS) -c main.cpp

mcube.o.dbg: mcube.cpp $(INCLUDES)
	$(CPP) $(DBGCFLAGS) -c mcube.cpp

dummy:

=== dietz/solver/Makefile ===
# Makefile for cubex by Eric
CC=g++
LINK=g++
CFLAGS=-O2
LFLAGS=
INCLUDES=
OBJS=cubex.o main.o
RM=/bin/rm -f

all: build

build: $(OBJS)
	$(LINK) $(LFLAGS)  -o cubex  $(OBJS)

clean:
	$(RM) $(OBJS)

distclean: clean
	$(RM) cubex

cubex.o: cubex.cpp $(INCLUDES) cubex.h
	$(CC) $(CFLAGS) -c cubex.cpp

main.o: main.cpp $(INCLUDES) cubex.h
	$(CC) $(CFLAGS) -c main.cpp

dummy:

=== debian/changelog ===
rubiks (20070912-7) unstable; urgency=medium

  * Improve missing includes patch (Closes: #1066202)
  * Bump standards-version to 4.7.0
  * Make double sbuild work (Closes: #1048791)

 -- Julien Puydt <jpuydt@debian.org>  Mon, 17 Jun 2024 16:25:18 +0200

rubiks (20070912-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

  [ Julien Puydt ]
  * Fix d/watch.
  * Document the patch is Debian-specific.
  * Declare d/rules doesn't require root.
  * Bump standards-version to 4.6.2.
  * Add lintian overrides for false positives.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 20 Jun 2023 12:10:19 +0200

rubiks (20070912-5) unstable; urgency=medium

  * Bump dh compat to 12 and drop d/compat.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 28 Jul 2019 09:00:05 +0200

rubiks (20070912-4) unstable; urgency=medium

  * Update homepage to new upstream layout.
  * Update d/watch to new upstream layout.
  * Bump std-vers to 4.4.0.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Jul 2019 09:56:40 +0200

rubiks (20070912-3) unstable; urgency=medium

  * Refresh packaging:
    - Use salsa in Vcs-* fields.
    - Use my debian.org mail address.
    - Bump dh compat to 11.
    - Bump std-ver to 4.1.4.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 25 May 2018 14:55:05 +0200

rubiks (20070912-2) unstable; urgency=medium

  * Update the homepage.
  * Update the Vcs-browser link.

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 04 Jan 2016 16:16:48 +0100

rubiks (20070912-1) unstable; urgency=medium

  * Initial release. (Closes: #777032)

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 03 Feb 2015 09:44:08 +0100

=== debian/control ===
Source: rubiks
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: math
Priority: optional
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/rubiks
Vcs-Git: https://salsa.debian.org/science-team/rubiks.git
Homepage: https://git.sagemath.org/sage.git/plain/build/pkgs/rubiks/
Build-Depends: debhelper-compat (= 13)

Package: rubiks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Small collection of Rubik's cube solvers
 This package contains several different Rubik's cube solvers,
 either useful directly on the command-line or through sagemath.
 .
 Michael Reid's "optimal" uses pre-computed tables to find an optimal solution
 to the 3x3x3 Rubik's cube.
 .
 Dik T.Winter's "dikcube" uses Kociemba's algorithm to iteratively
 find a short solution to the 3x3x3 cube.
 .
 Eric Dietz' "cubex" has fast non-optimal solver for the 3x3x3 cube.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_autoreconf:
	cp debian/configure.ac debian/GNUmakefile.am .
	touch NEWS README ChangeLog AUTHORS
	dh_autoreconf

override_dh_auto_clean:
	make distclean
	rm -f configure.ac GNUmakefile.am NEWS README ChangeLog AUTHORS
